Package Details: pam_u2f 1.0.7-1

Git Clone URL: https://aur.archlinux.org/pam_u2f.git (read-only)
Package Base: pam_u2f
Description: Universal 2nd Factor (U2F) PAM authentication module from Yubico
Upstream URL: https://developers.yubico.com/pam-u2f/
Licenses: BSD
Submitter: maxime1986
Maintainer: maxime1986 (updown)
Last Packager: updown
Votes: 20
Popularity: 0.930177
First Submitted: 2014-12-27 12:50
Last Updated: 2018-05-15 13:17

Latest Comments

1 2 Next › Last »

JacobHenner commented on 2018-06-12 14:13

Edit: Disregard - libu2f-server needs to be rebuilt, and then this issue will go away.

This is currently failing - it expects libjson-c.so.2, which has been replaced with libjson-c.so.3

egrupled commented on 2018-05-17 10:19

@updown can you add GPG verification like this:

# Maintainer: Maxime de Roucy <maxime.deroucy@gmail.com>
# Contributor: David Manouchehri <manouchehri@riseup.net>
# Contributor: Sven Lechner <SirWindfield@users.noreply.github.com>

pkgname=pam_u2f
pkgver=1.0.7
pkgrel=1
pkgdesc="Universal 2nd Factor (U2F) PAM authentication module from Yubico"
arch=('i686' 'x86_64')
url='https://developers.yubico.com/pam-u2f/'
license=('BSD')
depends=('libu2f-host' 'libu2f-server')
makedepends=('asciidoc')
source=("https://developers.yubico.com/${pkgname/_/-}/Releases/${pkgname}-${pkgver}.tar.gz"{,.sig})
sha512sums=('5b8fe116782684e5da395a4923b4c300b0d4b6d9e297c8de5cc4ca2ed633fda30cdbc4ae6bbb8a582faf8068dbed13048a2b2f742ebe9eea208fbb7a407caf0a'
            'SKIP')
validpgpkeys=('B70D62AA6A31AD6B9E4F9F4BDC8888925D25CA7A' # Alessio Di Mauro <alessio@yubico.com>
              )

build() {
    cd ${pkgname}-${pkgver}/

    ./configure \
        --prefix=/usr \
        --with-pam-dir=/usr/lib/security
    make
}

check() {
    cd ${pkgname}-${pkgver}/

    make check
}

package() {
    cd ${pkgname}-${pkgver}/

    make DESTDIR="${pkgdir}/" install

    mkdir -p "${pkgdir}/usr/share/licenses/${pkgname}"
    cp COPYING "${pkgdir}/usr/share/licenses/${pkgname}/"
}

# vim:set et sw=2 sts=2 tw=80:

maxime1986 commented on 2018-04-30 09:42

@updown my bad I updated the .SRCINFO file. I add you in the co-mainteneurs list.

updown commented on 2018-04-28 16:28

@maxime1986 sorry for marking it as outdated, but the website did show me that the package is at version 1.0.4 and not 1.0.6 (as you updated it on the 25th). :) Edit: Neither yaourt or aurman find the updated package. I do not get prompted to update pam_u2f for some odd reason.

maxime1986 commented on 2018-01-05 15:38

@Georgo10 @JacobHenner I just updated libu2f-server AUR PKGBUILD. pam_u2f build is now OK.

Georgo10 commented on 2018-01-05 12:38

Hey JacobHenner, you need libu2f-server installed (I recommend to use 1.1.0 version).

JacobHenner commented on 2018-01-05 00:13

Cannot build

/usr/bin/ld: warning: libjson-c.so.2, needed by /usr/lib/libu2f-server.so.0, not found (try using -rpath or -rpath-link)

LeonidasXIV commented on 2016-01-15 18:21

FTBFS since the 1.0.3 update:

make install-exec-hook
make[3]: Entering directory '/tmp/yaourt-tmp-marek/aur-pam_u2f/src/pam_u2f-1.0.4'
rm -f /usr/lib/security/pam_u2f.la
rm: cannot remove ‘/usr/lib/security/pam_u2f.la’: Permission denied
Makefile:1019: recipe for target 'install-exec-hook' failed
make[3]: *** [install-exec-hook] Error 1
make[3]: Leaving directory '/tmp/yaourt-tmp-marek/aur-pam_u2f/src/pam_u2f-1.0.4'
Makefile:942: recipe for target 'install-exec-am' failed
make[2]: *** [install-exec-am] Error 2
make[2]: Leaving directory '/tmp/yaourt-tmp-marek/aur-pam_u2f/src/pam_u2f-1.0.4'
Makefile:886: recipe for target 'install-am' failed
make[1]: *** [install-am] Error 2
make[1]: Leaving directory '/tmp/yaourt-tmp-marek/aur-pam_u2f/src/pam_u2f-1.0.4'
Makefile:585: recipe for target 'install-recursive' failed
make: *** [install-recursive] Error 1

maxime1986 commented on 2015-12-28 12:26

@colemickens : updated

colemickens commented on 2015-12-17 07:57

@maxime1986: here's a patch for PKGBUILD to update to 1.0.3: https://gist.github.com/anonymous/156f96eb859a24ad692e